<?php
namespace App\Http\Controllers\Api;

use App\Service\JRFIDServerService;
use Illuminate\Http\Request;

class JRFIDController extends BaseController
{
    public function getSite(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getSite($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getFlowByProduce(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getFlowByProduce($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getProduceByContract(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getProduceByContract($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
